### Method

# St IconTheme rescan_if_needed

#### Declaration [src]

    gboolean
    st_icon_theme_rescan_if_needed (
      StIconTheme* icon_theme
    )

#### Description [src]

Checks to see if the icon theme has changed; if it has, any currently cached information is discarded and will be reloaded next time `icon_theme` is accessed.

#### Return value

Type: `gboolean`

`TRUE` if the icon theme has changed and needed to be reloaded.